lirc.client.ReplyParser Class Reference
Python client bindings » Classes to send commands

Handles the actual parsing of a command reply. More...

Inheritance diagram for lirc.client.ReplyParser:

## Public Member Functions

def | __init__ (self)
def | is_completed (self)
| Returns true if no more reply input is required. More...
def | feed
| Enter a line of data into parsing FSM, update state. More...
Public Member Functions inherited from lirc.client.Reply
def | __init__ (self)

## Public Attributes

| last_line
| result
Public Attributes inherited from lirc.client.Reply
| result
| Enum Result, reflects parser state. More...
| success
| bool, reflects SUCCESS/ERROR. More...
| data
| List of lines, the command DATA payload. More...
| sighup
| bool, reflects if a SIGHUP package has been received
| last_line
| str, last input line (for error messages). More...

## Detailed Description

Handles the actual parsing of a command reply.

Definition at line 442 of file client.py.

## Member Function Documentation

## feed()

def lirc.client.ReplyParser.feed | ( |  | self,
|  |  | line
| ) |  |

Enter a line of data into parsing FSM, update state.

Definition at line 455 of file client.py.

## is_completed()

def lirc.client.ReplyParser.is_completed | ( |  | self,
|  |  | bool
| ) |  |

Returns true if no more reply input is required.

Definition at line 451 of file client.py.

The documentation for this class was generated from the following file:

- /home/mk/tmp/lirc/python-pkg/lirc/client.py (c46974b 2017-01-23 02:17:12 +0100)